Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.api.plugin
Interface PluginSouth

All Superinterfaces:
  Plugin

public interface PluginSouth
extends Plugin

South interface of plugin

  Copyright © 2008 Oracle Corporation Systems, Inc. All Rights Reserved.

Method Summary
`void` | `prepareRequestContext(RequestContext ctx, ContextMapperInfo info)` This method is called only once per northbound request once the current RequestContext has been rebuild.
`String` | `resolveAppInstanceGroupdId(ContextMapperInfo info)` Returns the application instance group id (now known as application instance id) given the set of argument values available in the info parameter.

Method Detail

### prepareRequestContext

    public void prepareRequestContext(RequestContext ctx,
                                      ContextMapperInfo info)

  This method is called only once per northbound request once the current RequestContext has been rebuild. The plugin has a chance to add additional values to the RequestContext before the northbound request continues to flow. This method is called after resolveAppInstanceGroupId(ContextMapperInfo). The default implementation is supposed to do nothing.

  Parameters:
    `ctx` - The current RequestContext that has been rebuild
    `info` - The ContextMapperInfo containing the annotated network parameters

### resolveAppInstanceGroupdId

    public String resolveAppInstanceGroupdId(ContextMapperInfo info)

  Returns the application instance group id (now known as application instance id) given the set of argument values available in the info parameter. This method is called only once per northbound request and is used by the context aspect to rebuild the RequestContext for the current request. The ContextMapperInfo contains all the annotated parameters of the method in the PluginSouth that has been invoked by the network.

  Parameters:
    `info` - The ContextMapperInfo containing the annotated network parameters
  Returns:
    String The application instance group id (now known as application instance id) given the network parameters

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD